package com.syc.slm.slmbi.controller;

import com.syc.slm.common.core.util.R;
import com.syc.slm.slmbi.service.CompanyService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.Set;

/**
 * @author: guangyi-liang
 * @date: 2021/5/20
 */
@RequestMapping("/{appId}/company")
@RestController
@Api(value = "初始化相关管理接口", tags = "初始化相关管理接口")
public class InitController extends BaseRestController{


    @Autowired
    private CompanyService companyService;

    @GetMapping("/app-id")
    @ApiOperation("测试")
    @ApiImplicitParam(name = "appId", value = "租户id", required = true,dataTypeClass = String.class)
    public R<Set<String>> findAll(HttpServletRequest request, @PathVariable String appId) {
        return call(()-> companyService.findAll(appId));
    }

    @PostMapping("/group/tree/init")
    @ApiOperation("初始化顶级分组和树结构")
    @ApiImplicitParam(name = "appId", value = "租户id", required = true,dataTypeClass = String.class)
    public R<Boolean> initGroupAndTree(HttpServletRequest request, @PathVariable String appId) {
        return call(()-> companyService.initGroupAndTree(appId));
    }
}
