package com.syc.slm.slmbi.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * slm-bi
 * 仪表板分组
 *
 * @author : lin
 * @date : 2021-03-25 15:46
 **/
@ApiModel(description = "仪表板分组entity")
@Data
@EqualsAndHashCode(callSuper=true)
@TableName("instrument_panel_group")
public class InstrumentPanelGroupInit extends Model<InstrumentPanelGroupInit> {

    @ApiModelProperty(value = "仪表板分组主键")
    private String id;
    @ApiModelProperty(value = "仪表板分组父级主键")
    private String parentId;
    @ApiModelProperty(value = "仪表板分组名称")
    private String name;

    /**
     * 租户id
     */
    @ApiModelProperty(value = "租户id")
    protected String appId;

    @ApiModelProperty(value = "创建人主键")
    protected String creator;

    @ApiModelProperty(value = "创建人名称")
    protected String creatorName;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    protected Date createTime;

    @ApiModelProperty(value = "修改人主键")
    protected String updater;

    @ApiModelProperty(value = "修改人名称")
    protected String updaterName;

    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    protected Date updateTime;

    @ApiModelProperty(value = "状态")
    protected Integer recordStatus;

    @ApiModelProperty(value = "描述")
    protected String description;

    @Override
    protected Serializable pkVal() {
        return id;
    }
}
