package com.syc.slm.slmbi.entity;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 仪表板树聚合表
 *
 * @author lin
 * @date 2021-04-01 10:52:44
 */
@Data
@TableName("instrument_panel_tree")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "仪表板树聚合表")
public class InstrumentPanelTreeInit extends Model<InstrumentPanelTreeInit> {
    /**
     * 节点全路径id
     */
    @ApiModelProperty(value = "节点全路径id")
    private String fullId;

    @ApiModelProperty(value = "节点名字")
    private String name;
    /**
     * 节点全路径
     */
    @ApiModelProperty(value = "节点全路径")
    private String fullName;
    /**
     * 节点类型
     */
    @ApiModelProperty(value = "节点类型")
    private String nodeType;

    @ApiModelProperty(value = "组件key")
    private String assemblyKey;

    @ApiModelProperty(value = "父级id")
    @TableField(exist = false)
    private String parentId;

    /**
     * 主键
     */
    @TableId
    @ApiModelProperty(value = "主键")
    protected String id;
    /**
     * 租户id
     */
    @ApiModelProperty(value = "租户id")
    protected String appId;

    @ApiModelProperty(value = "创建人主键")
    protected String creator;

    @ApiModelProperty(value = "创建人名称")
    protected String creatorName;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    protected Date createTime;

    @ApiModelProperty(value = "修改人主键")
    protected String updater;

    @ApiModelProperty(value = "修改人名称")
    protected String updaterName;

    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    protected Date updateTime;

    @ApiModelProperty(value = "状态")
    protected Integer recordStatus;

    @ApiModelProperty(value = "描述")
    protected String description;

    @Override
    protected Serializable pkVal() {
        return id;
    }


}
