package com.syc.slm.slmbi.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.syc.slm.slmbi.dto.BusinessDTO;
import com.syc.slm.slmbi.dto.BusinessStatisticsDTO;
import com.syc.slm.slmbi.entity.BusinessConfig;
import com.syc.slm.slmbi.entity.CurrentUser;
import com.syc.slm.slmbi.vo.BusinessConfigVo;

import java.util.List;
import java.util.Map;

/**
 * slm-bi
 * 系统业务表配置
 * @author : lin
 * @date : 2021-04-20 09:30
 **/
public interface BusinessConfigService extends IService<BusinessConfig> {
    /**
     * 获取系统业务表
     * @return
     */
    List<BusinessConfigVo> selectConfigList();

    /**
     * 根据id获取表配置
     * @param id
     * @return
     */
    BusinessConfigVo selectOneConfig(String id);

    /**
     * 字段数据
     * @param dto
     * @param uri
     * @param user
     * @return
     */
    Map<String,List<Object>> getBusinessData(BusinessDTO dto,String uri, CurrentUser user);

    /**
     * 查询业务字段的统计数据
     * @param uri url
     * @param dto 参数
     * @param user 当前用
     * @return 统计数据
     */
    Map<String,Object> listBusinessFieldStatistics(String uri, BusinessStatisticsDTO dto,CurrentUser user);

    /**
     * 根据字段以及表名查询对应的字段
     * @param currentUser
     * @param tableName
     * @param filed
     * @param current
     * @param size
     * @param name
     * @param uri
     * @return
     */

    IPage<String> filedValue(CurrentUser currentUser,String tableName, String filed, Integer current, Integer size,String name,String uri);
}
