package com.syc.slm.slmbi.service.impl;

import com.google.common.collect.Maps;
import com.google.gson.reflect.TypeToken;
import com.syc.slm.common.core.constant.SlmConstants;
import com.syc.slm.common.core.util.R;
import com.syc.slm.common.core.util.RestTemplateUtils;
import com.syc.slm.slmbi.config.DataCenterConfig;
import com.syc.slm.slmbi.service.PermissionService;
import com.syc.slm.slmbi.vo.PermissionCodeVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * @author: guangyi-liang
 * @date: 2021/5/7
 */
@Service
public class PermissionServiceImpl implements PermissionService {

    @Autowired
    private DataCenterConfig centerConfig;

    @Override
    public List<PermissionCodeVo> findAllPermissionCode(String appId, String token) {
        Map<String, String> uriVariables = Maps.newHashMap();
        uriVariables.put("appId",appId);
        R<List<PermissionCodeVo>> result = RestTemplateUtils.get(centerConfig.getHost()+centerConfig.getPermissionCodeUrl(), new TypeToken<R<List<PermissionCodeVo>>>() {}.getType(), uriVariables);
        return result.detach();
    }
}
