package com.syc.slm.slmbi.vo;

import com.syc.slm.slmbi.dto.CustomPermissionDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * slm-bi
 * 仪表板权限vo
 *
 * @author : lin
 * @date : 2021-03-25 20:39
 **/
@Data
@ApiModel(value = "仪表板权限Vo",description = "仪表板权限Vo")
@EqualsAndHashCode(callSuper=false)
public class InstrumentPanelPermissionVo {
    @ApiModelProperty(value = "访问权限类型", required = true)
    private String accessType;

    @ApiModelProperty(value = "描述", required = true)
    private String description;

    @ApiModelProperty(value = "自定义权限配置，当访问类型为CUSTOM时必填")
    private List<CustomPermissionVo> customPermissions;

    /**
     * 以下字段可能不需要，只是为了更好的兼容前端
     */
    private String panelId;
    private String panelName;
    private String groupId;
    private String groupName;
}
